Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser.castor
Class CastorEnumTypeDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.castor.CastorEnumTypeDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class CastorEnumTypeDeserializer
extends DeserializerImpl
implements Deserializer

Castor deserializer

Version:
  1.0
Author:
  Ozzie Gurkan
See Also:
  Serialized Form

Field Summary
`java.lang.Class` | `javaType`
`QName` | `xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReadyFlag, defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`CastorEnumTypeDeserializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`void` | `onEndElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)` onEndElement is called by endElement.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onStartChild, onStartElement, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`characters, makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.encoding.Deserializer
`componentsReady, endElement, getDefaultType, getValue, getValue, getValueTargets, moveValueTargets, onStartChild, onStartElement, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, startElement, valueComplete`

Methods inherited from interface javax.xml.rpc.encoding.Deserializer
`getMechanismType`

Methods inherited from interface org.apache.axis.encoding.Callback
`setValue`

Field Detail

### xmlType

    public QName xmlType

### javaType

    public java.lang.Class javaType

Constructor Detail

### CastorEnumTypeDeserializer

    public CastorEnumTypeDeserializer(java.lang.Class javaType,
                                      QName xmlType)

Method Detail

### onEndElement

    public void onEndElement(java.lang.String namespace,
                             java.lang.String localName,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Description copied from interface: `Deserializer`
  onEndElement is called by endElement. It is not called if the element has an href.

  Specified by:
    `onEndElement` in interface `Deserializer`
  Overrides:
    `onEndElement` in class `DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the child element
    `localName` - is the local name of the child element
    `context` - is the deserialization context
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.